=== mgmt_project/Makefile ===
# Auto Generated by Xilinx generate_app. Modify at your own risk

CC := mb-gcc
CC_FLAGS := -MMD -MP -mlittle-endian -mxl-soft-mul -mcpu=v10.0    
CFLAGS := 
LN_FLAGS := -Wl,--start-group,-lxil,-lgcc,-lc,--end-group  -Wl,--gc-sections

c_SOURCES := $(wildcard *.c)
S_SOURCES := $(wildcard *.S)
s_SOURCES := $(wildcard *.s)
INCLUDES := $(wildcard *.h)
OBJS := $(patsubst %.c, %.o, $(c_SOURCES))
OBJS += $(patsubst %.S, %.o, $(S_SOURCES))
OBJS += $(patsubst %.s, %.o, $(s_SOURCES))
LSCRIPT := -Tlscript.ld

CURRENT_DIR = $(shell pwd)
DEPFILES := $(patsubst %.o, %.d, $(OBJS))
LIBS := empty_application_bsp/static_region_brd_mgmt_scheduler_board_management_microblaze_board_control/lib/libxil.a
EXEC := executable.elf

INCLUDEPATH := -Iempty_application_bsp/static_region_brd_mgmt_scheduler_board_management_microblaze_board_control/include -I.
LIBPATH := -Lempty_application_bsp/static_region_brd_mgmt_scheduler_board_management_microblaze_board_control/lib

all: $(EXEC)

$(EXEC): $(LIBS) $(OBJS) $(INCLUDES)
	$(CC) -o $@ $(OBJS) $(CC_FLAGS) $(CFLAGS) $(LN_FLAGS) $(LIBPATH) $(LSCRIPT)

$(LIBS):
	$(MAKE) -C empty_application_bsp

%.o:%.c
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

%.o:%.S
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

%.o:%.s
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

clean:
	rm -rf $(OBJS) $(LIBS) $(EXEC) *.o

-include $(DEPFILES)
