=== debian/changelog ===
xilinx-runtime (2.8.743-0ubuntu5) jammy; urgency=medium

  * Use Provides correctly

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 19:00:37 +0100

xilinx-runtime (2.8.743-0ubuntu4) jammy; urgency=medium

  * Fix versions for packages to be replaced

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 16:13:50 +0100

xilinx-runtime (2.8.743-0ubuntu3) jammy; urgency=medium

  * Remove preinst script and use Replaces/Breaks/Provides

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 14:18:41 +0100

xilinx-runtime (2.8.743-0ubuntu2) jammy; urgency=medium

  * Remove icd from old package to avoid installation conflict

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 11:43:54 +0100

xilinx-runtime (2.8.743-0ubuntu1) jammy; urgency=medium

  * Rename packages and change versioning scheme
    - Source package xrt -> xilinx-runtime
    - Binary package xrt-embedded -> xrt
    - Binary package xrt-zocl-dkms -> xrt-dkms

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 01 Mar 2022 12:02:26 +0100

xrt (202020.2.8.743-0ubuntu1) impish; urgency=medium

  * Update to 202020.2.8.743 tag upstream (fixex issue with reading AIE
    counter)
  * Add OpenCL configuration file (LP: #1939613)
  * Fix FTBFS with latest impish gcc
  * Restrict build to arm64 only

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 13 Aug 2021 11:30:48 +0200

xrt (202020.2.8.726-0ubuntu7) impish; urgency=medium

  * Fix patches description

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 28 May 2021 12:19:28 +0200

xrt (202020.2.8.726-0ubuntu6) impish; urgency=medium

  * Fix dkms packages build

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 24 May 2021 12:23:12 +0200

xrt (202020.2.8.726-0ubuntu5) hirsute; urgency=medium

  * Avoid installing files in /opt and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 13 Apr 2021 14:10:07 +0200

xrt (202020.2.8.726-0ubuntu4) hirsute; urgency=medium

  * Fix lintian warnings and add watch file

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 09 Apr 2021 14:42:09 +0200

xrt (202020.2.8.726-0ubuntu3) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 23 Mar 2021 17:14:50 +0100

xrt (202020.2.8.726-0ubuntu2) focal; urgency=medium

  * Add missing dependency for x86

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 17:46:04 +0100

xrt (202020.2.8.726-0ubuntu1) focal; urgency=medium

  * Update to 202020.2.8.726 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 13:33:35 +0100

xrt (202010.2.7.766-0ubuntu4) focal; urgency=medium

  * Fix postinst/prerm for zocl

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 13:25:07 +0200

xrt (202010.2.7.766-0ubuntu3) focal; urgency=medium

  * Add zocl files

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 12:31:03 +0200

xrt (202010.2.7.766-0ubuntu2) focal; urgency=medium

  * Add xrt-embedded package for arm64.
    The structure of this package is significantly different to the xrt
    one.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 11:31:53 +0200

xrt (202010.2.7.766-0ubuntu1) focal; urgency=medium

  * Update to 202010.2.7.766 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 01 Oct 2020 16:19:32 +0200

xrt (202010.2.6.655-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:04:43 +0200
