=== debian/control ===
Source: xilinx-runtime
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               cppcheck,
               debhelper-compat (= 12),
# used to check the version of the tree
               git,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libcurl4-openssl-dev,
               libdrm-dev,
               libgtest-dev,
               libncurses5-dev,
               libprotobuf-dev,
               libssl-dev,
               libudev-dev,
               libxml2-dev,
               libyaml-dev,
               lsb-release,
               ocl-icd-dev,
               ocl-icd-opencl-dev,
               opencl-clhpp-headers,
               pkg-config,
               protobuf-compiler,
               uuid-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/Xilinx/XRT
Vcs-Git: https://github.com/Xilinx/XRT.git

Package: xrt
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: xrt-embedded (<< 202020.2.8.743-0ubuntu2~)
Breaks: xrt-embedded (<< 202020.2.8.743-0ubuntu2~)
Provides: xrt-embedded (= 202020.2.8.743-0ubuntu2)
Description: Xilinx Runtime (XRT) - runtime libraries
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the XRT libraries, headers, and tools for MPSoC
 devices.

Package: xrt-dkms
# embedded/edge only driver
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dkms
Replaces: xrt-zocl-dkms (<< 202020.2.8.743-0ubuntu2~)
Breaks: xrt-zocl-dkms (<< 202020.2.8.743-0ubuntu2~)
Provides: xrt-zocl-dkms (= 202020.2.8.743-0ubuntu2)
Description: Xilinx Runtime (XRT) - ZOCL DKMS kernel drivers
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the ZOCL DKMS kernel drivers.
