=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?\d*\.(\d[\d.]*)\.tar\.gz%xilinx-runtime_$1.tar.gz%" \
    https://github.com/Xilinx/XRT/tags \
    (?:.*?/)?v?\d*\.(\d[\d.]*)\.tar\.gz debian uupdate
