## xilinx-runtime 2.13.466

=== debian/changelog ===
xilinx-runtime (2.13.466-0ubuntu2) jammy; urgency=medium

  * Add rapidjson-dev dependency

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 10 May 2022 10:37:25 +0200

xilinx-runtime (2.13.466-0ubuntu1) jammy; urgency=medium

  * Update to 2.13.466 upstream (tag 202210.2.13.466)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 10 May 2022 08:52:38 +0200

xilinx-runtime (2.13.0~e987993-0ubuntu2) jammy; urgency=medium

  * Fix a missing dependency, libffi-dev

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 15 Mar 2022 14:53:47 +0100

xilinx-runtime (2.13.0~e987993-0ubuntu1) jammy; urgency=medium

  * 2.13.0 pre-release from commit e987993

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 11 Mar 2022 15:43:31 +0100
