=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                libboost-program-options-dev,
                libcurl4-openssl-dev,
                libdrm-dev,
+               libffi-dev,
                libgtest-dev,
                libncurses5-dev,
                libprotobuf-dev,
@@ -25,6 +26,7 @@
                opencl-clhpp-headers,
                pkg-config,
                protobuf-compiler,
+               rapidjson-dev,
                uuid-dev,
 Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/Xilinx/XRT
